/*
 * PaintBoard.java
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class PaintBoard extends JFrame implements ActionListener {

	JButton	b;
	Color	color;

  public PaintBoard()
  {
    super( "Paint Board" );

    // add components
    Container cp = getContentPane();
    cp.add( new Board(), BorderLayout.CENTER );
    cp.add( (b = new JButton("Change Color")), BorderLayout.SOUTH );
    b.addActionListener( this );

    // set default draw color to be red
    color = Color.red;

    setSize( 400, 400 );
    setLocationRelativeTo( null );
    setDefaultCloseOperation( EXIT_ON_CLOSE );
  }

  public void actionPerformed( ActionEvent e )
  {
    Color c = JColorChooser.showDialog( this, "Choose Color", color );
    if( c != null ) color = c;
    repaint();
  }

  public static void main( String args[] )
  {
    PaintBoard p = new PaintBoard();
    p.show();
  }

  // A customized panel where we can paint on.
  class Board extends JPanel {

    public void paint( Graphics g )
    {
      super.paint(g);

      int w = getWidth();
      int h = getHeight();

      Color c = g.getColor();
      g.setColor( color );
      g.fillOval( w/4, h/4, w/2, h/2 );
      g.setColor( c );
    }

  } // end of class Board

} // end of class PaintBoard

